> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List app templates

> Retrieve available application templates including system templates and user-created templates.
Templates provide pre-configured application settings that can be reused for quick deployment.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/template
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/template:
    get:
      tags:
        - FastEdge Templates
      summary: List app templates
      description: >-
        Retrieve available application templates including system templates and
        user-created templates.

        Templates provide pre-configured application settings that can be reused
        for quick deployment.
      operationId: listTemplates
      parameters:
        - description: |-
            API type:  
            wasi-http - WASI with HTTP entry point  
            proxy-wasm - Proxy-Wasm app, callable from CDN
          example: wasi-http
          in: query
          name: api_type
          required: false
          schema:
            enum:
              - wasi-http
              - proxy-wasm
            type: string
        - description: >-
            When true, returns only templates created by the client. When false,
            includes shared templates.
          example: false
          in: query
          name: only_mine
          required: false
          schema:
            default: false
            type: boolean
        - description: Maximum number of results to return
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 1000
            minimum: 1
            type: integer
        - description: Number of results to skip for pagination
          example: 0
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  count:
                    description: Total number of templates
                    type: integer
                  templates:
                    items:
                      $ref: '#/components/schemas/template_short'
                    type: array
                required:
                  - templates
                type: object
          description: >-
            Returns paginated list of available templates with optional filters
            applied
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            page = client.fastedge.templates.list()
            page = page.templates[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/fastedge\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Fastedge.Templates.List(context.TODO(), fastedge.TemplateListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    template_short:
      type: object
      required:
        - id
        - name
        - api_type
        - owned
      properties:
        id:
          type: integer
          format: int64
          description: Template ID
        name:
          type: string
          description: Name of the template
        short_descr:
          type: string
          description: Short description of the template
        long_descr:
          type: string
          description: Long description of the template
        api_type:
          type: string
          description: Wasm API type
        owned:
          type: boolean
          description: Is the template owned by user?
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````